---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# StockLocationAddress

The attributes of a stock location address to create or update.

## constructor

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "address_1",
    "type": "`string`",
    "description": "First line address.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "address_2",
    "type": "`string`",
    "description": "Second line address.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "city",
    "type": "`string`",
    "description": "City.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "company",
    "type": "`string`",
    "description": "Company.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "country_code",
    "type": "`string`",
    "description": "Country code.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "phone",
    "type": "`string`",
    "description": "Phone.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "postal_code",
    "type": "`string`",
    "description": "Postal code.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "province",
    "type": "`string`",
    "description": "Province.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
